Subject: Forum activity on: Donating a program for svg diagnostics
From: [email-masked]
To: [email-masked]
Date: Sat, 05 Oct 2024 18:28:33 -0000

Dear cosmobird,

A post has been edited on the topic "Donating a program for svg diagnostics" by OptimusPrime:
---
Looks like the one to do Boolean ops on multiple paths in a group at once. I think that's it.. Thing is: I don't even understand what i see on those GitHub pages. Like, they confuse the hell outta me. Most of the time i dont even understand what i see there and how to DL stuff. It would be easier if i provided an example file so people can check themselves. Not sure i wanna do tec discussion on GH. Nah sorry i don't trust GH atm. I checked and won't create an account there atm.I'll provide the example svg and a log tho. The critical issue was in line 89, it reads (corrupt characters not printable):   message="  " /> &quot; /&gt;<linearGradient Traceback (most recent call last):
  File "C:\Users\Björn\AppData\Roaming\inkscape\extensions\org.inkscape.extension.11098\pathops.py", line 477, in <module>
    PathOps().run()
  File "C:\Program Files\Inkscape 3.2\share\inkscape\extensions\inkex\base.py", line 249, in run
    self.load_raw()
  File "C:\Program Files\Inkscape 3.2\share\inkscape\extensions\inkex\base.py", line 263, in load_raw
    document = self.load(self.file_io)
               ^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Program Files\Inkscape 3.2\share\inkscape\extensions\inkex\base.py", line 496, in load
    document = load_svg(stream)
               ^^^^^^^^^^^^^^^^
  File "C:\Program Files\Inkscape 3.2\share\inkscape\extensions\inkex\elements\_parser.py", line 98, in load_svg
    parsed = etree.parse(stream, parser=SVG_PARSER)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "src/lxml/etree.pyx", line 3541, in lxml.etree.parse
  File "src/lxml/parser.pxi", line 1900, in lxml.etree._parseDocument
  File "src/lxml/parser.pxi", line 1920, in lxml.etree._parseFilelikeDocument
  File "src/lxml/parser.pxi", line 1814, in lxml.etree._parseDocFromFilelike
  File "src/lxml/parser.pxi", line 1204, in lxml.etree._BaseParser._parseDocFromFilelike
  File "src/lxml/parser.pxi", line 618, in lxml.etree._ParserContext._handleParseResultDoc
  File "src/lxml/parser.pxi", line 728, in lxml.etree._handleParseResult
  File "src/lxml/parser.pxi", line 657, in lxml.etree._raiseParseError
  File "C:\Users\BJRN~1\AppData\Local\Temp\ink_ext_XXXXXX.svg4JZJV2", line 89
lxml.etree.XMLSyntaxError: Input is not proper UTF-8, indicate encoding !
Bytes: 0x90 0xE1 0x7F 0x22, line 89, column 13
I deleted the line but had to reassign a gradient afterwards. That's what I wrote my program for, to find where exactly i need to reassign. To replicate, try to perform 'Difference' on the gray-scale group [hand] (not the shading objects above it) with the outline white field bottom left at the wrist as cutting path. Hope that helps.
----
Link: http://www.inkscape.org/forums/extensions/donating-a-program-for-svg-diagnostics/#c74969

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.